### Enumeration

# Qmi WdaDataAggregationProtocol

since: 1.10

#### Declaration

    enum Qmi.WdaDataAggregationProtocol

#### Description [src]

Data aggregation protocol in uplink or downlink.

Available since: 1.10

#### Members

`QMI_WDA_DATA_AGGREGATION_PROTOCOL_DISABLED`

  Disabled.

  - Value: `0`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_TLP`

  TLP enabled.

  - Value: `1`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_QC_NCM`

  QC NCM enabled.

  - Value: `2`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_MBIM`

  MBIM enabled.

  - Value: `3`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_RNDIS`

  RNDIS enabled.

  - Value: `4`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAP`

  QMAP enabled.

  - Value: `5`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAPV2`

  QMAPV2 enabled. Since 1.30.

  - Value: `6`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAPV3`

  QMAPV3 enabled. Since 1.30.

  - Value: `7`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAPV4`

  QMAPV4 enabled. Since 1.30.

  - Value: `8`
  - Available since: 1.10
`QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAPV5`

  QMAPV5 enabled. Since 1.28.

  - Value: `9`
  - Available since: 1.10

#### Type functions

###### qmi_wda_data_aggregation_protocol_get_string

Gets the nickname string for the `QmiWdaDataAggregationProtocol` specified at `val`.

since: 1.10